------------------------------------------------------------------------------------
--Name:  	qishtuan
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-09-29
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(31, 174)
CppScriptMgr:ShakeScrEffect(4)
local Player_1 = CppScriptMgr:AddSimplePlayer(33517, 31, 174, "", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddPlayer(230, 36, 179, "", 0, 0)
Player_2:SetDir(3)
local Player_3 = CppScriptMgr:AddPlayer(230, 31, 179, "", 0, 0)
Player_3:SetDir(4)
local Player_4 = CppScriptMgr:AddPlayer(230, 36, 175, "", 0, 0)
Player_4:SetDir(2)
local Player_5 = CppScriptMgr:AddPlayer(230, 27, 175, "", 0, 0)
Player_5:SetDir(5)
local Player_6 = CppScriptMgr:AddPlayer(230, 34, 171, "", 0, 0)
local effect_0 = CppScriptMgr:AddEffect("zf2-e307-2", 31, 174, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(490)
Player_1:SetAction(9991840101)
Player_3:SetAction(101)
Player_3:Say("The power of the Shadow Knight is about to be drained!", 1500)
CppScriptMgr:WaitMilSec(1930)
Player_4:SetAction(401)
Player_4:Say("Kill it, and reclaim the Wraith Piece of Nether Duke!", 1500)
CppScriptMgr:WaitMilSec(2270)
Player_1:SetAction(9991840101)
Player_1:Say("Damn it! My power is sealed!", 1500)
CppScriptMgr:WaitMilSec(2780)